library LsBox;
// Version 1.03
// Added *LsBoxCreate
// Moved Bangs from main programm code to unit Bangs
// Added LsBoxToggle
// Version 1.02
// Fixed Show/Hide Bangs
// Moved BoxFromName to it's own Function
// Version 1.01
// -added RemoveBangCommand for !LsBoxShow&Hide
// -Fixed a inifinite-loop in !lsboxdestroy
// Version 1.0

uses
  Windows,
  Boxes in 'Boxes.pas',
  BoxFiles in 'BoxFiles.pas',
  Types in 'Types.pas',
  Shortcuts in 'Shortcuts.pas',
  Modules in 'Modules.pas',
  TextCuts in 'TextCuts.pas',
  BoxAPI in 'BoxAPI.pas',
  WharfModules in 'WharfModules.pas',
  Bangs in 'Bangs.pas';

Function initModuleEx(ParentWnd:Integer;dllInst:Longint;szPath:PCHAR):longint; cdecl;
Var
  Buffer: PChar;
  RC: Integer;
Begin
  SnapRect.top := 0;
  SnapRect.left := 0;
  SnapRect.Bottom := GetSystemMetrics(SM_CYSCREEN);
  SnapRect.Right := GetSystemMetrics(SM_CXSCREEN);
  Parent_Wnd := ParentWnd;
  Inst := dllInst;{HInstance;}
  CreateCommandWnd;
  LsPath := GetLSPath;

  RegisterBangs;

  Buffer := StrAlloc(256);
  Rc:=LCOpen(nil);

  While LCReadNextConfig(Rc,'*LsBoxCreate',buffer,255) Do
    Begin
      BuildBox(GetToken(Buffer,2),GetToken(Buffer,3));
    End;

  LCClose(rc);
  StrDispose(Buffer);
End;

Procedure quitModule(dllInst:Longint); cdecl;
Var
  Wc: TWndClass;
  Box: PBox;
Begin
  UnRegisterBangs;
  
  Box := First_Box;
  While ( Box<>nil ) Do
  Begin
    DestroyBox(Box);
    First_Box := Box^.Next_Box;
    Dispose (Box);
    Box := First_Box;
  End;
  If GetClassInfo(Inst,'LsBoxClass',wc) then
    UnregisterClass('LsBoxClass',Inst);
  If GetClassInfo(Inst,'LsBoxShortcut',wc) then
    UnregisterClass('LsBoxShortcut',Inst);
  If GetClassInfo(Inst,'LsBoxModule',wc) then
    UnregisterClass('LsBoxModule',Inst);
  DestroyCommandWnd;
End;

exports
  initModuleEx,
  quitModule;

end.
