unit TextCuts;

// Version 0.9
// Added a call to InavalidateRgn to make sure the text is visible
// Version 0.8 beta

interface
Uses
  Types,
  BoxFiles,
  BoxAPI,
  Windows;

Procedure PaintTextCuts(Box:PBox);

implementation

Procedure PaintTextCuts(Box: PBox);
Var
  FontSize: Integer;
  FontName: PChar;
  FontColor,
  Text,
  Buffer: String;
  Font: HFont;
Begin
  //Comic Sans MS - Ms sans serif
  FontName := StrAlloc(32);
  FontName := PChar(GetBoxString(Box^.BoxPtr,'LsBoxFont','Ms sans serif'));
  FontColor := GetBoxString(Box^.BoxPtr,'LsBoxFontColor','FFFFFF');
  FontSize := GetBoxInt(Box^.BoxPtr,'LsBoxFontSize',14);

  Font:=CreateFont(FontSize,0,0,0,FW_NORMAL,0,0,0,DEFAULT_CHARSET,
        OUT_DEFAULT_PRECIS,CLIP_DEFAULT_PRECIS,
        DEFAULT_QUALITY,DEFAULT_PITCH+FF_DONTCARE,PChar(FontName));

  SelectObject(Box^.BackDC,Font);
  SetTextColor(Box^.BackDC,Str2Hex(FontColor));
  SetBkMode(Box^.BackDC,1);

  Buffer := BoxReadNextConfig(Box^.BoxPtr,'*Text');
  While Buffer<>'' do
  Begin
    Text := GetToken(Buffer,3);
    TextOut(Box^.BackDC,Str2Int(GetToken(Buffer,1)),
            Str2Int(GetToken(Buffer,2)),
            PChar(Text),Length(Text));
    Buffer := BoxReadNextConfig(Box^.BoxPtr,'*Text');
  End;
  //StrDispose(FontName);
  InvalidateRect(Box^.hMainWnd,nil,True);
  DeleteObject(Font);
End;

end.
